/***************************************************************************************
* File name: Dorada.s
* Version.Revision: HPSPU-HLSW-OB-V3R0
*
* Purpose:  Install an interrupt on DSP IRQ2 for SMCS handling.
*
* Public Functions: None 
*
* Private Functions: SOCCORO
*
* Description:	
*
* Creation date & author: 21.06.2002 by Ahmed Nabil Belbachir
* Version, Update date & author: HPSPU-HLSW-OB-V3R0 24.01.2003 by Ahmed Nabil Belbachir
****************************************************************************************/

/* The Header Files and the Routine Declaration
****************************************************************************************/

#include <def21020.h>      /* STATUS REGISTER BIT DEFINITIONS FOR ADSP-21020 */
#include "macro.h"         /* Macro's for System Kernel (Full Path)*/
.segment /pm seg_pmco;     /* Program Code Segment */
.global _SOCCORO;          /* Declaration of the Assembler Function */

/***************************************************************************************/
/* Used External Arguments and Global Variables 
****************************************************************************************/

.extern _K_Args;          /* Channel for the Kernel. ISR Stack Argument */
.extern _K_ArgsP;		  /* Channel for the Kernel. Pointer to ISR Stack Argument */
.extern _SmcsEvent;       /* Event on Kernel Channel */

/***************************************************************************************/
/* Begin of the Function SOCCORO 
****************************************************************************************/

_SOCCORO:

START_ISR; 
/* Pushes Event on Kernel Channel */

	i4 = dm(_K_ArgsP);
	r2 = dm(_SmcsEvent); 
	PRHI_STACK_PSH;

/* End of Interrupt Routine. Control Transfered to System Kernel */
ENDISR1;

.endseg;

/* End of the Function SOCCORO 
********************************************************************************/

